【Flutter】The Flutter SDK is installed in a protected folder and may not function correctly. Please move the SDK to a location that is user-writable without Administration permissions and restart.の対処法

最終更新日

この記事では、Flutterの設定で

The Flutter SDK is installed in a protected folder and may not function correctly. Please move the SDK to a location that is user-writable without Administration permissions and restart.

が出た時の対処法です。

経緯

AndroidStadioからVScodeへ変更しようとしたら、このようなエラーが出た。

※エラーが出てもデバッグできなかったわけではありません。

内容

エラー:The Flutter SDK is installed in a protected folder and may not function correctly. Please move the SDK to a location that is user-writable without Administration permissions and restart.

訳:Flutter SDKが保護されたフォルダにインストールされているため、正しく機能しない可能性があります。SDKをAdministration権限なしでユーザーが書き込み可能な場所に移動して、再起動してください。

対処法

保護されていない(管理者権限の不要な)ディレクトリにFlutter SDKを移動させる

参考

https://stackoverflow.com/questions/60388624/the-flutter-sdk-is-installed-in-a-protected-folder-and-may-not-function-correctl

fem